package com.gic.haoban.manage.service.entity.contact;

import java.io.Serializable;
import java.util.Date;

/**
 * 建联配置表(TabContactConfig)实体类
 *
 * @author TONGYI Lingma
 * @since 2025-05-26 16:09:38
 */
public class TabContactConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 配置主键ID
     */
    private Long configId;

    /**
     * 自动建联类型 10话务任务 20企微群发 30发送商品 40发送素材
     */
    private String contactAuto;

    /**
     * 是否自动备注（0 否 1 是）
     */
    private Integer remarkFlag;

    /**
     * 备注内容
     */
    private String remarkContent;

    /**
     * 企业ID
     */
    private String enterpriseId;

    /**
     * 是否删除（0 正常 1 删除）
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Long getConfigId() {
        return configId;
    }

    public void setConfigId(Long configId) {
        this.configId = configId;
    }

    public String getContactAuto() {
        return contactAuto;
    }

    public void setContactAuto(String contactAuto) {
        this.contactAuto = contactAuto;
    }

    public Integer getRemarkFlag() {
        return remarkFlag;
    }

    public void setRemarkFlag(Integer remarkFlag) {
        this.remarkFlag = remarkFlag;
    }

    public String getRemarkContent() {
        return remarkContent;
    }

    public void setRemarkContent(String remarkContent) {
        this.remarkContent = remarkContent;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}